{
  "name": "vue3demo",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "build-typeCheck": "run-p type-check build-only",
    "type-check": "vue-tsc --noEmit",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/",
    "postinstall": "husky install"
  },
  "dependencies": {
    "axios": "^1.3.6",
    "crypto-js": "^4.2.0",
    "gsap": "^3.13.0",
    "markdown-it": "^14.1.0",
    "normalize.css": "^8.0.1",
    "pinia": "^2.0.32",
    "pinia-persistedstate-plugin": "^0.1.0",
    "pinia-plugin-persistedstate": "^3.1.0",
    "vant": "^4.9.21",
    "vue": "^3.2.47",
    "vue-router": "^4.1.6"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.2.0",
    "@types/crypto-js": "^4.2.2",
    "@types/node": "^18.16.0",
    "@vant/auto-import-resolver": "^1.3.0",
    "@vitejs/plugin-vue": "^4.0.0",
    "@vue/eslint-config-prettier": "^7.1.0",
    "@vue/eslint-config-typescript": "^11.0.2",
    "@vue/tsconfig": "^0.1.3",
    "eslint": "^8.34.0",
    "eslint-config-prettier": "^8.8.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-vue": "^9.9.0",
    "husky": "^8.0.3",
    "less": "^4.3.0",
    "lint-staged": "^13.2.1",
    "npm-run-all": "^4.1.5",
    "prettier": "^2.8.4",
    "typescript": "~4.8.4",
    "unplugin-auto-import": "^0.15.3",
    "unplugin-vue-components": "^0.24.1",
    "unplugin-vue-define-options": "^3.1.1",
    "vite": "^4.1.4",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^1.2.0"
  },
  "lint-staged": {
    "*.{vue,js}": [
      "npm run lint"
    ]
  }
}
